Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java	(revision 2441)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java	(revision 2442)
@@ -34,7 +34,7 @@
 	
 	private Text corpusName;
 	
-	private Text sourceDirectory;
+	private Label sourceDirectory;
 	// private Text descriptionText;
 	
 	private Composite container;
@@ -59,20 +59,6 @@
 		Label label2 = new Label(container, SWT.NONE);
 		label2.setText("Source directory");
 		
-		sourceDirectory = new Text(container, SWT.BORDER | SWT.SINGLE);
-		final String lastSourcesLocation = RCPPreferences.getInstance().getString("lastSourcesLocation");
-		sourceDirectory.setText(lastSourcesLocation);
-		sourceDirectory.setToolTipText("The corpus source directory");
-		sourceDirectory.setLayoutData(gd);
-		sourceDirectory.addModifyListener(new ModifyListener() {
-			
-			@Override
-			public void modifyText(ModifyEvent e) {
-				corpusName.setText(AsciiUtils.buildId(new File(getSourcePath()).getName()).toUpperCase());
-				setPageComplete(isCompleted());
-			}
-		});
-		
 		Button button = new Button(container, SWT.PUSH);
 		button.setText("...");
 		button.setToolTipText("click to select the corpus source directory");
@@ -101,12 +87,27 @@
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
+		
+		sourceDirectory = new Label(container, SWT.SINGLE);
+		final String lastSourcesLocation = RCPPreferences.getInstance().getString("lastSourcesLocation");
+		sourceDirectory.setText(lastSourcesLocation);
+		sourceDirectory.setLayoutData(gd);
+		// sourceDirectory.addModifyListener(new ModifyListener() {
+		//
+		// @Override
+		// public void modifyText(ModifyEvent e) {
+		// corpusName.setText(AsciiUtils.buildId(new File(getSourcePath()).getName()).toUpperCase());
+		// setPageComplete(isCompleted());
+		// }
+		// });
+		
+		
 		Label label1 = new Label(container, SWT.NONE);
 		label1.setText("Corpus name");
 		
 		corpusName = new Text(container, SWT.BORDER | SWT.SINGLE);
+		corpusName.setLayoutData(GridDataFactory.fillDefaults().span(2, 1).create());
 		corpusName.setText(AsciiUtils.buildId(new File(lastSourcesLocation).getName()).toUpperCase());
-		corpusName.setToolTipText("The corpus name");
 		corpusName.addKeyListener(new KeyListener() {
 			
 			@Override
@@ -118,7 +119,6 @@
 			public void keyPressed(KeyEvent e) {}
 		});
 		
-		corpusName.setLayoutData(gd);
 		new Label(container, SWT.NONE);
 		
 		newOrEdit = new Label(container, SWT.NONE);
@@ -149,12 +149,12 @@
 		if (corpusName.getText().length() > 0) {
 			// File srcProjectLink = ResourcesPlugin.getWorkspace().getRoot().getProject(corpusName.getText()).getFolder("src").getRawLocation().toFile();
 			if (ResourcesPlugin.getWorkspace().getRoot().getProject(getCorpusName()).exists()) {
-				Project p = Toolbox.workspace.getProject();
+				Project p = Toolbox.workspace.getProject(getCorpusName());
 				if (p != null && p.getChildren().size() > 0) {
 					newOrEdit.setText(NLS.bind("The ''{0}'' corpus will be replaced.", getCorpusName()));
 				}
 				else {
-					newOrEdit.setText(NLS.bind("The ''{0}'' corpus import will be resumed.", getCorpusName()));
+					newOrEdit.setText(NLS.bind("The ''{0}'' corpus import will be resumed or restarted.", getCorpusName()));
 				}
 			}
 			else {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 2441)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 2442)
@@ -34,6 +34,7 @@
 
 import javax.xml.parsers.ParserConfigurationException;
 
+import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TreeViewer;
 import org.eclipse.jface.wizard.WizardDialog;
@@ -43,6 +44,7 @@
 import org.eclipse.swt.graphics.FontData;
 import org.eclipse.swt.layout.RowLayout;
 import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IWorkbenchPartConstants;
@@ -88,78 +90,100 @@
  * set corpus parameters
  */
 public class CorpusPage extends FormPage {
-
+	
 	private static String lastOpenedSrcDir;
-
+	
 	ImportFormEditor editor;
+	
 	ScrolledForm form;
+	
 	FormToolkit toolkit;
-
+	
 	HashMap<String, Boolean> moduleParams; // the import sections configuration depends on the import module selected
-
+	
 	// All the sections that populate the import parameter file
 	Section pattrSection;
+	
 	Section preBuildSection;
+	
 	Section querySection;
+	
 	Section sattrSection;
+	
 	ImportEditorSection uiSection;
+	
 	ImportEditorSection xsltSection;
+	
 	ImportEditorSection tokenizerSection;
+	
 	ImportEditorSection editionSection;
+	
 	ImportEditorSection encodingSection;
+	
 	ImportEditorSection fontSection;
+	
 	ImportEditorSection infosSection;
+	
 	ImportEditorSection langSection;
+	
 	ImportEditorSection textualPlansSection;
+	
 	ImportEditorSection optionsSection;
-
+	
 	// old widgets to be moved/deleted
 	TableViewer preBuildViewer;
+	
 	TreeViewer preBuildViewer2;
+	
 	TableViewer queriesViewer;
+	
 	TableViewer sattributesViewer;
+	
 	TableViewer editionsViewer;
+	
 	TableViewer viewer;
+	
 	TableViewer pattributesViewer;
-
+	
 	private Project project;
-
+	
 	/**
 	 * Instantiates a new main page.
 	 *
 	 * @param editor the editor
-	 * @param corpusname 
+	 * @param corpusname
 	 */
 	public CorpusPage(ImportFormEditor editor) {
-		super(editor, TXMUIMessages.parameters, TXMUIMessages.parameters); 
+		super(editor, TXMUIMessages.parameters, TXMUIMessages.parameters);
 		this.editor = editor;
 	}
-
+	
 	private int createEditionsSection() {
-		editionSection = new EditionSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE, moduleParams, editor.getGroovyScript().getName());
+		editionSection = new EditionSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE, moduleParams, editor.getGroovyScript().getName());
 		return editionSection.getSectionSize();
 	}
-
+	
 	private int createEmptyCell() {
 		Label l = toolkit.createLabel(form.getBody(), "", SWT.NONE); //$NON-NLS-1$
 		TableWrapData td = new TableWrapData();
 		td.colspan = 1;
 		l.setLayoutData(td);
-
+		
 		return 1;
 	}
-
+	
 	private int createEncodingSection() {
-		encodingSection = new EncodingSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
+		encodingSection = new EncodingSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return encodingSection.getSectionSize();
 	}
-
+	
 	private int createFontSection() {
-		fontSection = new FontSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
+		fontSection = new FontSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return fontSection.getSectionSize();
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.ui.forms.editor.FormPage#createFormContent(org.eclipse.ui.forms.IManagedForm)
 	 */
 	@Override
